Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/EXP00/namelist_cfg	(revision 9402)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/EXP00/namelist_cfg	(revision 9403)
@@ -14,15 +14,19 @@
    rn_0xratio  =      0.5  !  x-domain ratio of the 0
    rn_0yratio  =      0.5  !  y-domain ratio of the 0
-   nn_fcase    =      1    !  F computation (0:f0, 1:Beta, 2:real)
+   nn_fcase    =      0    !  F computation (0:f0, 1:Beta, 2:real)
    rn_ppgphi0  =    38.5   !  Reference latitude      [degrees]
    rn_u10      =      0.   !  10m wind speed              [m/s]
+     rn_windszx=   4000.   !  longitudinal wind extension   [km]
+     rn_windszy=   4000.   !  latitudinal wind extension    [km]
      rn_uofac  =      0.   !  Uoce multiplicative factor (0.:absolute or 1.:relative winds)
    rn_vtxmax   =      1.   !  initial vortex max current  [m/s]
    rn_uzonal   =      1.   !  initial zonal current       [m/s]
-     rn_ujetszx=   3500.   !  longitudinal jet extension   [km]
-     rn_ujetszy=    300.   !  latitudinal jet extension    [km]
+     rn_ujetszx=   4000.   !  longitudinal jet extension   [km]
+     rn_ujetszy=   4000.   !  latitudinal jet extension    [km]
    nn_botcase  =      0    !  bottom definition (0:flat, 1:bump)
-   nn_initcase =     10    !  initial condition case (0:rest, 1:zonal current, 2:vortex)
-   ln_sshnoise =  .true.   !  add random noise on initial ssh
+   nn_initcase =      1    !  initial condition case (0:rest, 1:zonal current, 2:vortex)
+   ln_sshnoise =  .false.  !  add random noise on initial ssh
+   ln_sshnoise =  .false.  !  add random noise on initial ssh
+   rn_lambda   =     50.   ! gaussian lambda
 /
 !-----------------------------------------------------------------------
@@ -30,7 +34,7 @@
 !-----------------------------------------------------------------------
    nn_no       =       0   !  job number (no more used...)
-   cn_exp      = "VORTEX"  !  experience name
+   cn_exp      =   'CANAL' !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =   12000   !  last time step 
+   nn_itend    =     100   !  last time step 
    nn_istate   =       0   !  output the initial state (1) or not (0)
    nn_stock    =   99999   !  frequency of creation of a restart file (modulo referenced to 1)
@@ -44,5 +48,5 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   ln_linssh   =  .true.  !  =T  linear free surface  ==>>  model level are fixed in time
+   ln_linssh   =  .false.  !  =T  linear free surface  ==>>  model level are fixed in time
    rn_rdt      =   1440.   !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =   0.05    !  asselin time filter parameter
@@ -206,4 +210,5 @@
 &namtra_adv    !   advection scheme for tracer                          (default: NO selection)
 !-----------------------------------------------------------------------
+   ln_traadv_NONE= .false. !  No tracer advection
    ln_traadv_cen = .false. !  2nd order centered scheme
       nn_cen_h   =  4            !  =2/4, horizontal 2nd order CEN / 4th order CEN
@@ -214,5 +219,5 @@
    ln_traadv_mus = .false. !  MUSCL scheme
       ln_mus_ups = .false.       !  use upstream scheme near river mouths
-   ln_traadv_ubs = .true. !  UBS scheme
+   ln_traadv_ubs = .true.  !  UBS scheme
       nn_ubs_v   =  2            !  =2  , vertical 2nd order FCT / COMPACT 4th order
    ln_traadv_qck = .false. !  QUICKEST scheme
@@ -267,9 +272,10 @@
 &nam_vvl       !   vertical coordinate options                          (default: z-star)
 !-----------------------------------------------------------------------
-   ln_vvl_zstar  = .false.           !  zstar vertical coordinate
+   ln_vvl_zstar  = .true.           !  zstar vertical coordinate
 /
 !-----------------------------------------------------------------------
 &namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
 !-----------------------------------------------------------------------
+   ln_dynadv_NONE= .false. !  linear dynamics (no momentum advection)
    ln_dynadv_vec = .false. !  vector form (T) or flux form (F)
    nn_dynkeg     = 0       ! scheme for grad(KE): =0   C2  ;  =1   Hollingsworth correction
@@ -280,6 +286,6 @@
 &namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .true. !  energy conserving scheme
+   ln_dynvor_ene = .true.  !  energy conserving scheme
+   ln_dynvor_ens = .false. !  enstrophy conserving scheme
    ln_dynvor_mix = .false. !  mixed scheme
    ln_dynvor_een = .false.  !  energy & enstrophy scheme
@@ -289,6 +295,6 @@
 &namdyn_hpg    !   Hydrostatic pressure gradient option                 (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_hpg_zps  = .true.  !  z-coordinate - partial steps (interpolation)
-   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_zps  = .false.  !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .true.   !  s-coordinate (standard jacobian formulation)
 /
 !-----------------------------------------------------------------------
@@ -386,4 +392,13 @@
 &namtrd        !   trend diagnostics                                    (default F)
 !-----------------------------------------------------------------------
+   ln_glo_trd  = .false.   ! (T) global domain averaged diag for T, T^2, KE, and PE
+   ln_dyn_trd  = .true.   ! (T) 3D momentum trend output
+   ln_dyn_mxl  = .false.   ! (T) 2D momentum trends averaged over the mixed layer (not coded yet)
+   ln_vor_trd  = .false.   ! (T) 2D barotropic vorticity trends (not coded yet)
+   ln_KE_trd   = .false.   ! (T) 3D Kinetic   Energy     trends
+   ln_PE_trd   = .false.   ! (T) 3D Potential Energy     trends
+   ln_tra_trd  = .false.   ! (T) 3D tracer trend output
+   ln_tra_mxl  = .false.   ! (T) 2D tracer trends averaged over the mixed layer (not coded yet)
+   nn_trd      = 365       !  print frequency (ln_glo_trd=T) (unit=time step)
 /
 !-----------------------------------------------------------------------
